pci_compliance_resolver utility shows help output and not working

Refers to:

  • Plesk 12.5 for Linux

Created:

2016-11-16 12:52:26 UTC

Modified:

2016-12-21 19:25:30 UTC

0

Was this article helpful?


Have more questions?

Submit a request

pci_compliance_resolver utility shows help output and not working

Symptoms

Try to use PCI Compliance resolver utility returns help output instead of configuring a service:

    # /usr/local/psa/admin/bin/pci_compliance_resolver --enable apache
Usage: pci_compliance_resolver [--enable|--disable]

SERVICES:
panel Applying patches for sw-cp-server.
apache Applying patches for apache server.
courier Applying patches for courier-imap.
dovecot Applying patches for dovecot.
qmail Applying patches for qmail MTA.
proftpd Applying patches for proftpd.
all Applying patches for all installed services described above.

Cause

Bug #PPPM-3631 . It is fixed in Plesk Onyx.

Resolution

Upgrade to the latest Plesk version .

If upgrade is not possible, replace the file pci_compliance_resolver in /usr/local/psa/admin/bin/ directory with a copy from attachment .

Alternatively, pci_compliance_resolver can be run with '--enable' option for all services:

# /usr/local/psa/admin/bin/pci_compliance_resolver --enable all
Have more questions? Submit a request
Please sign in to leave a comment.